<?php
namespace SimpleTYPO3\Dynamic\ViewHelpers;


use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

class ColPosViewHelper  extends AbstractViewHelper {

    /**
     * @var boolean
     */
    protected $escapeOutput = FALSE;
    /**
     * @return void
     */
    public function initializeArguments() {
        parent::initializeArguments();
        $this->registerArgument('section', 'integer', 'Section Number', false, 0);
        $this->registerArgument('row', 'integer', 'Row Number', false, 0);
        $this->registerArgument('column', 'integer', 'Column Number', false, 0);
    }
    /**
     * Renders the content.
     *
     * @return string
     * @api
     */
    public function render() {
        $section = (string) $this->arguments['section'];
        $row = (string) $this->arguments['row'];
        $column = (string) $this->arguments['column'];
        $total = (str_pad($section, 2, '0', STR_PAD_LEFT) . str_pad($row, 2, '0', STR_PAD_LEFT) . str_pad($column, 2, '0', STR_PAD_LEFT));
        return (integer) $total;
    }

}