<?php
namespace SimpleTYPO3\Dynamic\ViewHelpers;


use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

class ContentElementsAccessViewHelper extends AbstractViewHelper
{

    /**
     * @var boolean
     */
    protected $escapeOutput = FALSE;

    /**
     * @return void
     */
    public function initializeArguments()
    {
        parent::initializeArguments();
        $this->registerArgument('colPos', 'string', 'Column colPos Number', false, 0);
        $this->registerArgument('access', 'array', 'Access Rules', false, array());
    }

    /**
     * Renders the content.
     *
     * @return array
     * @api
     */
    public function render()
    {
        $return = array();
        $colPos = (integer)$this->arguments['colPos'];
        $access = $this->arguments['access'];
        if (true === is_array($access)) {
            foreach ($access as $rule) {
                if ($colPos === (integer)$rule['columnContentElementAccess']['colPos']) {
                    $return = $rule['columnContentElementAccess'];
                }
            }
        }
        return $return;
    }

}