<?php
namespace SimpleTYPO3\Dynamic\ViewHelpers;

use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

class WrapperViewHelper  extends AbstractViewHelper {

    /**
     * @var boolean
     */
    protected $escapeOutput = FALSE;
    /**
     * @return void
     */
    public function initializeArguments() {
        parent::initializeArguments();
        $this->registerArgument('partial', 'string', 'Partial to render, with or without section');
        $this->registerArgument('section', 'string', 'Section', false, NULL);
        $this->registerArgument('arguments', 'array', 'Array of variables to be transferred. Use {_all} for all variables', FALSE, array());
    }
    /**
     * Renders the content.
     *
     * @return string
     * @api
     */
    public function render() {
        $partial = $this->arguments['partial'];
        $section = $this->arguments['section'];
        $arguments = (array) $this->arguments['arguments'];
        $arguments['content'] = $this->renderChildren();
        return $this->viewHelperVariableContainer->getView()->renderPartial($partial, $section, $arguments);
    }

}